Edit Cluster Config

Edit Cluster Config

Api to edit cluster config

Request
URI
PUT
https://{api_host}/hybridity/api//infra/k8s/cluster/{clusterId}/configurations
COPY
Path Parameters
string
clusterId
Required

clusterId


Request Body

Edit Cluster Config

clusterConfigurations of type(s) application/json
Required
{
    "csiEditable": true,
    "systemSettings": [
        {
            "name": "syslog",
            "properties": {
                "protocol": "udp",
                "port": 0,
                "host": "host"
            }
        },
        {
            "name": "syslog",
            "properties": {
                "protocol": "udp",
                "port": 0,
                "host": "host"
            }
        }
    ],
    "csi": [
        {
            "name": "vsphere-csi",
            "properties": {
                "isDefault": true,
                "mountPath": "mountPath",
                "datastoreUrl": "datastoreUrl",
                "zone": "zone",
                "name": "name",
                "serverIP": "serverIP",
                "region": "region",
                "timeout": "timeout"
            }
        },
        {
            "name": "vsphere-csi",
            "properties": {
                "isDefault": true,
                "mountPath": "mountPath",
                "datastoreUrl": "datastoreUrl",
                "zone": "zone",
                "name": "name",
                "serverIP": "serverIP",
                "region": "region",
                "timeout": "timeout"
            }
        }
    ],
    "cniEditable": true,
    "tools": [
        {
            "name": "helm",
            "version": "version",
            "properties": "{}"
        },
        {
            "name": "helm",
            "version": "version",
            "properties": "{}"
        }
    ],
    "cni": [
        {
            "name": "calico",
            "properties": "{}"
        },
        {
            "name": "calico",
            "properties": "{}"
        }
    ],
    "kubernetesVersion": "kubernetesVersion"
}
boolean
cniEditable
Optional

Internal flag to indicate if add/edit on CNIs are allowed.

boolean
csiEditable
Optional

Internal flag to indicate if add/edit on CSIs are allowed.

cni
Optional

Container Network Interfaces configured to the cluster.

csi
Optional

Container Storage Interfaces configured to the cluster.

string
kubernetesVersion
Optional

Kubernetes version of the cluster.

tools
Optional

List of operators and addons on the cluster.

systemSettings
Optional

List of syslog servers added to the cluster.

Authentication
This operation uses the following authentication methods.
Responses
200

Successfully edited cluster config.

Returns clusterAPIResponse of type(s) application/json
{
    "operationId": "operationId",
    "id": "id"
}
string
id
Optional

The id of the cluster.

string
operationId
Optional

The operation id for tracking the progress of the operation being performed on the cluster.